## ros-eloquent-nmea-msgs 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(nmea_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(${PROJECT_NAME}
   "msg/Sentence.msg"
   "msg/Gpgga.msg"
   "msg/Gpgsa.msg"
   "msg/Gpgsv.msg"
   "msg/GpgsvSatellite.msg"
   "msg/Gprmc.msg"
   DEPENDENCIES std_msgs
)


ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-eloquent-nmea-msgs (2.0.0-1bionic) bionic; urgency=high

  * Initial release for ROS 2
  * Contributors: Andreas Klintberg, Edward Venator

 -- Ed Venator <evenator@gmail.com>  Fri, 17 May 2019 00:00:00 -0000

ros-eloquent-nmea-msgs (1.1.0-1bionic) bionic; urgency=high

  * Add specific NMEA messages (#5 <https://github.com/ros-drivers/nmea_msgs/issues/5>)
    Add messages for the following NMEA sentences:
    - GPGGA
    - GPGSA
    - GPGSV (and a submessage GpgsvSatellite)
    - GPRMC
    These messages are useful to GPS drivers that parse NMEA sentences
    into specific ROS messages.
  * Update maintainer to Ed Venator
  * Contributors: Edward Venator, Eric Perko

 -- Ed Venator <evenator@gmail.com>  Thu, 07 Dec 2017 00:00:00 -0000

ros-eloquent-nmea-msgs (1.0.0-1bionic) bionic; urgency=high

  * Release into Jade.

 -- Ed Venator <evenator@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-eloquent-nmea-msgs (0.1.1-1bionic) bionic; urgency=high

  * Cleanup CMakeLists.txt and package.xml

 -- Ed Venator <evenator@gmail.com>  Sun, 15 Feb 2015 00:00:00 -0000

ros-eloquent-nmea-msgs (0.1.0-1bionic) bionic; urgency=high

  * Initial version (released into Hydro)
  * Supports NMEA0183 sentences

 -- Ed Venator <evenator@gmail.com>  Sun, 21 Jul 2013 00:00:00 -0000

=== debian/control ===
Source: ros-eloquent-nmea-msgs
Section: misc
Priority: optional
Maintainer: Ed Venator <evenator@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-builtin-interfaces, ros-eloquent-rosidl-default-generators, ros-eloquent-std-msgs, ros-eloquent-ros-workspace, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-rosidl-typesupport-connext-c, ros-eloquent-rosidl-typesupport-connext-cpp, ros-eloquent-rosidl-typesupport-opensplice-c, ros-eloquent-rosidl-typesupport-opensplice-cpp
Homepage: http://ros.org/wiki/nmea_msgs
Standards-Version: 3.9.2

Package: ros-eloquent-nmea-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-builtin-interfaces, ros-eloquent-rosidl-default-runtime, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: The nmea_msgs package contains messages related to data in the NMEA format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-nmea-msgs//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
